Desktop

For instructions on how to authenticate to use this endpoint, see API overview.

Endpoints

GET
POST
GET
PATCH
DELETE
POST
GET
POST
GET
PATCH
DELETE
POST

List all environments desktop recordings

RESTful API for managing desktop meeting recordings.

Standard CRUD operations plus transcript management as a subresource.

Required API key scopes

desktop_recording:read

Query parameters

  • limit
    integer
  • offset
    integer

Response


Example request

GET /api/environments/:environment_id/desktop_recordings
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/desktop_recordings/

Example response

Status 200
RESPONSE
{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"team": 0,
"created_by": 0,
"sdk_upload_id": "7276e323-83a6-4edf-893f-03d54726eb02",
"recall_recording_id": "08cce185-c34b-4d4f-bb61-49c99f8ccc30",
"platform": "zoom",
"meeting_title": "string",
"meeting_url": "http://example.com",
"duration_seconds": -2147483648,
"status": "recording",
"notes": "string",
"error_message": "string",
"video_url": "http://example.com",
"video_size_bytes": -9223372036854776000,
"participants": [
"string"
],
"transcript_text": "string",
"transcript_segments": [
{
"timestamp": 0,
"speaker": "string",
"text": "string",
"confidence": 0,
"is_final": true
}
],
"summary": "string",
"extracted_tasks": [
{
"title": "string",
"description": "string",
"assignee": "string"
}
],
"tasks_generated_at": "2019-08-24T14:15:22Z",
"summary_generated_at": "2019-08-24T14:15:22Z",
"started_at": "2019-08-24T14:15:22Z",
"completed_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
]
}

Create environments desktop recordings

Create a new recording and get Recall.ai upload token for the desktop SDK

Required API key scopes

desktop_recording:write

Request parameters

  • platform
    Default: desktop_audio

Response


Example request

POST /api/environments/:environment_id/desktop_recordings
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/desktop_recordings/\
-d platform=undefined

Example response

Status 201
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"team": 0,
"created_by": 0,
"sdk_upload_id": "7276e323-83a6-4edf-893f-03d54726eb02",
"recall_recording_id": "08cce185-c34b-4d4f-bb61-49c99f8ccc30",
"platform": "zoom",
"meeting_title": "string",
"meeting_url": "http://example.com",
"duration_seconds": -2147483648,
"status": "recording",
"notes": "string",
"error_message": "string",
"video_url": "http://example.com",
"video_size_bytes": -9223372036854776000,
"participants": [
"string"
],
"transcript_text": "string",
"transcript_segments": [
{
"timestamp": 0,
"speaker": "string",
"text": "string",
"confidence": 0,
"is_final": true
}
],
"summary": "string",
"extracted_tasks": [
{
"title": "string",
"description": "string",
"assignee": "string"
}
],
"tasks_generated_at": "2019-08-24T14:15:22Z",
"summary_generated_at": "2019-08-24T14:15:22Z",
"started_at": "2019-08-24T14:15:22Z",
"completed_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"upload_token": "string"
}

Retrieve environments desktop recordings

RESTful API for managing desktop meeting recordings.

Standard CRUD operations plus transcript management as a subresource.

Required API key scopes

desktop_recording:read

Path parameters

  • id
    string

Response


Example request

GET /api/environments/:environment_id/desktop_recordings/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/desktop_recordings/:id/

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"team": 0,
"created_by": 0,
"sdk_upload_id": "7276e323-83a6-4edf-893f-03d54726eb02",
"recall_recording_id": "08cce185-c34b-4d4f-bb61-49c99f8ccc30",
"platform": "zoom",
"meeting_title": "string",
"meeting_url": "http://example.com",
"duration_seconds": -2147483648,
"status": "recording",
"notes": "string",
"error_message": "string",
"video_url": "http://example.com",
"video_size_bytes": -9223372036854776000,
"participants": [
"string"
],
"transcript_text": "string",
"transcript_segments": [
{
"timestamp": 0,
"speaker": "string",
"text": "string",
"confidence": 0,
"is_final": true
}
],
"summary": "string",
"extracted_tasks": [
{
"title": "string",
"description": "string",
"assignee": "string"
}
],
"tasks_generated_at": "2019-08-24T14:15:22Z",
"summary_generated_at": "2019-08-24T14:15:22Z",
"started_at": "2019-08-24T14:15:22Z",
"completed_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}

Update environments desktop recordings

RESTful API for managing desktop meeting recordings.

Standard CRUD operations plus transcript management as a subresource.

Required API key scopes

desktop_recording:write

Path parameters

  • id
    string

Request parameters

  • recall_recording_id
    stringnull
  • platform
  • meeting_title
    stringnull
  • meeting_url
    stringnull
  • duration_seconds
    integernull
  • status
  • notes
    stringnull
  • error_message
    stringnull
  • video_url
    stringnull
  • video_size_bytes
    integernull
  • participants
    array
  • transcript_segments
    Click to open
    array
  • summary
    stringnull
  • extracted_tasks
    Click to open
    array
  • tasks_generated_at
    stringnull
  • summary_generated_at
    stringnull
  • started_at
    string
  • completed_at
    stringnull

Response


Example request

PATCH /api/environments/:environment_id/desktop_recordings/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X PATCH \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/desktop_recordings/:id/\
-d team="integer"

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"team": 0,
"created_by": 0,
"sdk_upload_id": "7276e323-83a6-4edf-893f-03d54726eb02",
"recall_recording_id": "08cce185-c34b-4d4f-bb61-49c99f8ccc30",
"platform": "zoom",
"meeting_title": "string",
"meeting_url": "http://example.com",
"duration_seconds": -2147483648,
"status": "recording",
"notes": "string",
"error_message": "string",
"video_url": "http://example.com",
"video_size_bytes": -9223372036854776000,
"participants": [
"string"
],
"transcript_text": "string",
"transcript_segments": [
{
"timestamp": 0,
"speaker": "string",
"text": "string",
"confidence": 0,
"is_final": true
}
],
"summary": "string",
"extracted_tasks": [
{
"title": "string",
"description": "string",
"assignee": "string"
}
],
"tasks_generated_at": "2019-08-24T14:15:22Z",
"summary_generated_at": "2019-08-24T14:15:22Z",
"started_at": "2019-08-24T14:15:22Z",
"completed_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}

Delete environments desktop recordings

RESTful API for managing desktop meeting recordings.

Standard CRUD operations plus transcript management as a subresource.

Required API key scopes

desktop_recording:write

Path parameters

  • id
    string

Example request

DELETE /api/environments/:environment_id/desktop_recordings/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X DELETE \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/desktop_recordings/:id/

Example response

Status 204 No response body

Create environments desktop recordings append segments

Append transcript segments (supports batched real-time streaming)

Required API key scopes

desktop_recording:write

Path parameters

  • id
    string

Request parameters

  • segments
    Click to open
    array

Response


Example request

POST /api/environments/:environment_id/desktop_recordings/:id/append_segments
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/desktop_recordings/:id/append_segments/\
-d segments="array"

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"team": 0,
"created_by": 0,
"sdk_upload_id": "7276e323-83a6-4edf-893f-03d54726eb02",
"recall_recording_id": "08cce185-c34b-4d4f-bb61-49c99f8ccc30",
"platform": "zoom",
"meeting_title": "string",
"meeting_url": "http://example.com",
"duration_seconds": -2147483648,
"status": "recording",
"notes": "string",
"error_message": "string",
"video_url": "http://example.com",
"video_size_bytes": -9223372036854776000,
"participants": [
"string"
],
"transcript_text": "string",
"transcript_segments": [
{
"timestamp": 0,
"speaker": "string",
"text": "string",
"confidence": 0,
"is_final": true
}
],
"summary": "string",
"extracted_tasks": [
{
"title": "string",
"description": "string",
"assignee": "string"
}
],
"tasks_generated_at": "2019-08-24T14:15:22Z",
"summary_generated_at": "2019-08-24T14:15:22Z",
"started_at": "2019-08-24T14:15:22Z",
"completed_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}

List all desktop recordings

RESTful API for managing desktop meeting recordings.

Standard CRUD operations plus transcript management as a subresource.

Required API key scopes

desktop_recording:read

Query parameters

  • limit
    integer
  • offset
    integer

Response


Example request

GET /api/projects/:project_id/desktop_recordings
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/desktop_recordings/

Example response

Status 200
RESPONSE
{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"team": 0,
"created_by": 0,
"sdk_upload_id": "7276e323-83a6-4edf-893f-03d54726eb02",
"recall_recording_id": "08cce185-c34b-4d4f-bb61-49c99f8ccc30",
"platform": "zoom",
"meeting_title": "string",
"meeting_url": "http://example.com",
"duration_seconds": -2147483648,
"status": "recording",
"notes": "string",
"error_message": "string",
"video_url": "http://example.com",
"video_size_bytes": -9223372036854776000,
"participants": [
"string"
],
"transcript_text": "string",
"transcript_segments": [
{
"timestamp": 0,
"speaker": "string",
"text": "string",
"confidence": 0,
"is_final": true
}
],
"summary": "string",
"extracted_tasks": [
{
"title": "string",
"description": "string",
"assignee": "string"
}
],
"tasks_generated_at": "2019-08-24T14:15:22Z",
"summary_generated_at": "2019-08-24T14:15:22Z",
"started_at": "2019-08-24T14:15:22Z",
"completed_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
]
}

Create desktop recordings

Create a new recording and get Recall.ai upload token for the desktop SDK

Required API key scopes

desktop_recording:write

Request parameters

  • platform
    Default: desktop_audio

Response


Example request

POST /api/projects/:project_id/desktop_recordings
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/desktop_recordings/\
-d platform=undefined

Example response

Status 201
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"team": 0,
"created_by": 0,
"sdk_upload_id": "7276e323-83a6-4edf-893f-03d54726eb02",
"recall_recording_id": "08cce185-c34b-4d4f-bb61-49c99f8ccc30",
"platform": "zoom",
"meeting_title": "string",
"meeting_url": "http://example.com",
"duration_seconds": -2147483648,
"status": "recording",
"notes": "string",
"error_message": "string",
"video_url": "http://example.com",
"video_size_bytes": -9223372036854776000,
"participants": [
"string"
],
"transcript_text": "string",
"transcript_segments": [
{
"timestamp": 0,
"speaker": "string",
"text": "string",
"confidence": 0,
"is_final": true
}
],
"summary": "string",
"extracted_tasks": [
{
"title": "string",
"description": "string",
"assignee": "string"
}
],
"tasks_generated_at": "2019-08-24T14:15:22Z",
"summary_generated_at": "2019-08-24T14:15:22Z",
"started_at": "2019-08-24T14:15:22Z",
"completed_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"upload_token": "string"
}

Retrieve desktop recordings

RESTful API for managing desktop meeting recordings.

Standard CRUD operations plus transcript management as a subresource.

Required API key scopes

desktop_recording:read

Path parameters

  • id
    string

Response


Example request

GET /api/projects/:project_id/desktop_recordings/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/desktop_recordings/:id/

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"team": 0,
"created_by": 0,
"sdk_upload_id": "7276e323-83a6-4edf-893f-03d54726eb02",
"recall_recording_id": "08cce185-c34b-4d4f-bb61-49c99f8ccc30",
"platform": "zoom",
"meeting_title": "string",
"meeting_url": "http://example.com",
"duration_seconds": -2147483648,
"status": "recording",
"notes": "string",
"error_message": "string",
"video_url": "http://example.com",
"video_size_bytes": -9223372036854776000,
"participants": [
"string"
],
"transcript_text": "string",
"transcript_segments": [
{
"timestamp": 0,
"speaker": "string",
"text": "string",
"confidence": 0,
"is_final": true
}
],
"summary": "string",
"extracted_tasks": [
{
"title": "string",
"description": "string",
"assignee": "string"
}
],
"tasks_generated_at": "2019-08-24T14:15:22Z",
"summary_generated_at": "2019-08-24T14:15:22Z",
"started_at": "2019-08-24T14:15:22Z",
"completed_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}

Update desktop recordings

RESTful API for managing desktop meeting recordings.

Standard CRUD operations plus transcript management as a subresource.

Required API key scopes

desktop_recording:write

Path parameters

  • id
    string

Request parameters

  • recall_recording_id
    stringnull
  • platform
  • meeting_title
    stringnull
  • meeting_url
    stringnull
  • duration_seconds
    integernull
  • status
  • notes
    stringnull
  • error_message
    stringnull
  • video_url
    stringnull
  • video_size_bytes
    integernull
  • participants
    array
  • transcript_segments
    Click to open
    array
  • summary
    stringnull
  • extracted_tasks
    Click to open
    array
  • tasks_generated_at
    stringnull
  • summary_generated_at
    stringnull
  • started_at
    string
  • completed_at
    stringnull

Response


Example request

PATCH /api/projects/:project_id/desktop_recordings/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X PATCH \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/desktop_recordings/:id/\
-d team="integer"

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"team": 0,
"created_by": 0,
"sdk_upload_id": "7276e323-83a6-4edf-893f-03d54726eb02",
"recall_recording_id": "08cce185-c34b-4d4f-bb61-49c99f8ccc30",
"platform": "zoom",
"meeting_title": "string",
"meeting_url": "http://example.com",
"duration_seconds": -2147483648,
"status": "recording",
"notes": "string",
"error_message": "string",
"video_url": "http://example.com",
"video_size_bytes": -9223372036854776000,
"participants": [
"string"
],
"transcript_text": "string",
"transcript_segments": [
{
"timestamp": 0,
"speaker": "string",
"text": "string",
"confidence": 0,
"is_final": true
}
],
"summary": "string",
"extracted_tasks": [
{
"title": "string",
"description": "string",
"assignee": "string"
}
],
"tasks_generated_at": "2019-08-24T14:15:22Z",
"summary_generated_at": "2019-08-24T14:15:22Z",
"started_at": "2019-08-24T14:15:22Z",
"completed_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}

Delete desktop recordings

RESTful API for managing desktop meeting recordings.

Standard CRUD operations plus transcript management as a subresource.

Required API key scopes

desktop_recording:write

Path parameters

  • id
    string

Example request

DELETE /api/projects/:project_id/desktop_recordings/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X DELETE \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/desktop_recordings/:id/

Example response

Status 204 No response body

Create desktop recordings append segments

Append transcript segments (supports batched real-time streaming)

Required API key scopes

desktop_recording:write

Path parameters

  • id
    string

Request parameters

  • segments
    Click to open
    array

Response


Example request

POST /api/projects/:project_id/desktop_recordings/:id/append_segments
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/desktop_recordings/:id/append_segments/\
-d segments="array"

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"team": 0,
"created_by": 0,
"sdk_upload_id": "7276e323-83a6-4edf-893f-03d54726eb02",
"recall_recording_id": "08cce185-c34b-4d4f-bb61-49c99f8ccc30",
"platform": "zoom",
"meeting_title": "string",
"meeting_url": "http://example.com",
"duration_seconds": -2147483648,
"status": "recording",
"notes": "string",
"error_message": "string",
"video_url": "http://example.com",
"video_size_bytes": -9223372036854776000,
"participants": [
"string"
],
"transcript_text": "string",
"transcript_segments": [
{
"timestamp": 0,
"speaker": "string",
"text": "string",
"confidence": 0,
"is_final": true
}
],
"summary": "string",
"extracted_tasks": [
{
"title": "string",
"description": "string",
"assignee": "string"
}
],
"tasks_generated_at": "2019-08-24T14:15:22Z",
"summary_generated_at": "2019-08-24T14:15:22Z",
"started_at": "2019-08-24T14:15:22Z",
"completed_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}

Community questions

Questions about this page? or post a community question.